Bug 1574510 - Space used icon in RHV-M not showing the actual space
Summary: Space used icon in RHV-M not showing the actual space
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Gluster
Version: ---
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: ovirt-4.2.4
: ---
Assignee: Denis Chaplygin
QA Contact: bipin
URL:
Whiteboard:
Depends On:
Blocks: 1574508
TreeView+ depends on / blocked
 
Reported: 2018-05-03 12:52 UTC by bipin
Modified: 2019-04-03 10:21 UTC (History)
7 users (show)

Fixed In Version: v4.20.28
Doc Type: Bug Fix
Doc Text:
Cause: Incorrect VDSM modules definition Consequence: Incorrect modules was not loaded properly, so VDSM was no supplying the engine with the data. Fix: Fixed VDSM module definition. Result: Space data is available again.
Clone Of: 1574508
Environment:
Last Closed: 2018-06-26 08:42:11 UTC
oVirt Team: Gluster
rule-engine: ovirt-4.2?
sasundar: planning_ack?
rule-engine: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)
UI_Screenshot (62.93 KB, image/png)
2018-05-03 12:53 UTC, bipin
no flags Details
Engine.log (7.13 MB, text/plain)
2018-05-04 03:22 UTC, bipin
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 90902 master MERGED gluster: Module with new gluster verbs needs to be correctly registered. 2018-05-04 10:18:42 UTC
oVirt gerrit 90908 ovirt-4.2 MERGED gluster: Module with new gluster verbs needs to be correctly registered. 2018-05-04 11:02:01 UTC

Comment 1 bipin 2018-05-03 12:53:27 UTC
Created attachment 1430673 [details]
UI_Screenshot

Comment 2 Sahina Bose 2018-05-03 13:09:15 UTC
Please attach the engine.log to see if the monitoring is working

Comment 3 bipin 2018-05-04 03:22:15 UTC
Created attachment 1430998 [details]
Engine.log

Comment 4 Sahina Bose 2018-05-04 05:03:56 UTC
2018-05-04 03:26:55,532+05 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GetGlusterVolumeAdvancedDetailsVDSCommand] (DefaultQuartzScheduler9) [738b6d35] FINISH, GetGlusterVolumeAdvancedDetailsVDSCommand, return: org.ovirt.engine.core.common.businessentities.gluster.GlusterVolumeAdvancedDetails@87b7257d, log id: 3777c866
2018-05-04 03:26:55,532+05 ERROR [org.ovirt.engine.core.bll.gluster.GlusterSyncJob] (DefaultQuartzScheduler9) [738b6d35] Error while refreshing brick statuses for volume 'data' of cluster 'Default': null

Denis, could you take a look?

Comment 5 Denis Chaplygin 2018-05-04 09:26:17 UTC
Ah, broke it during refactoring :(

Comment 6 Sandro Bonazzola 2018-05-25 07:54:38 UTC
Referenced fixes are included in vdsm v4.20.28. Moving bug to vdsm component.

Comment 7 bipin 2018-06-05 04:38:14 UTC
Verified the bug in the latest RHV 4.2.4. Moving to closed.
Component version:
vdsm-gluster-4.20.29

Comment 8 Sandro Bonazzola 2018-06-26 08:42:11 UTC
This bugzilla is included in oVirt 4.2.4 release, published on June 26th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.4 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.